% By now you should be able to provide code to intialize the robot and
% connect to it via Matlab.  Finish the following line of code:
rob = 

% number of data points to collect for each mR and mL pair.
N = 5;

% amount of time to run the motors in seconds
T = 30; 

% enter your values for mR here.
mR = [20 30];
mL = mR;

% If you don't know how to use a for loop look it up in Help. We are using
% 2 nested for loops so we can make sure we send every pair of mR and mL
% values for T second to the robot 5 times in total
for i = 1:N
    for j = 1:length(mR)
        motor_command = [mR(j) mL(i) T];        
        sendDriveCommand(rob, motor_command);
        
        % This pauses the program.  This should give you a chance to record
        % your data.  Press any key to continue.  Make sure you move the
        % robot back to the start position.
        pause;
    end
end

% This makes sure we close the connection when we are done.
shutdownRobot(rob);